> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Send Quote Email

POST https://api-b2b.bigcommerce.com/api/v2/rfq/emails
Content-Type: application/json

Sends a quote email to the specified email address.

The email address in the `email` field must correspond with the buyer's email address on the quote. However, you can use the `ccTo` field to include additional recipients.

Equivalent Storefront GraphQL API Query: `quoteEmail`.

### Quote Email Templates

The request uses the `emailTemplate` field to format the quote contents with one of the pre-built quote email templates. You must enter the exact name of the template in the field.

The following email templates can be used:

* `Default with Checkout Button`
* `Simple with Pictures`
* `Waves with Pictures`
* `Database with checkout button`
* `Modern with checkout link`
* `Modern without checkout link`

The selected template applies to the quote PDF if `withAttach` is specified as `true`.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/request-for-quote/post-rfq-emails

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Body (application/json)

This endpoint expects an object.

- `quoteId` (integer, required) — The internal numeric ID of the sales quote.
- `email` (string, required) — The buyer's email address.
- `ccTo` (list of string, optional) — The list of emails to CC.
- `withAttach` (boolean, optional) — Indicates whether or not a quote PDF will be included with the email.
- `emailTemplate` (enum, optional) — The template used to format the quote email.
  - Allowed values: `Default with Checkout Button`, `Simple with Pictures`, `Waves with Pictures`, `Sky`, `Dots`, `Database with checkout button`, `Modern with checkout link`, `Modern without checkout link`
- `emailLang` (enum, optional) — The two-letter code for the language of the quote email and PDF, if included.
  - Allowed values: `en`, `nl`, `de`, `fr`, `it`, `ja`, `zh`, `es`

## Response

### 200

OK

- `code` (integer, optional, default: 200) — HTTP Response Code
- `message` (string, optional, default: SUCCESS)
- `data` (ResponseSuccessData, optional)

## Errors

### 400 Bad Request Error

Bad Request This error occurs if the `email` field uses an email address that does not correspond to the buyer’s address on the quote.

- `code` (integer, optional, default: 400)
- `message` (string, optional, default: Invalid email address)
- `data` (RfqEmailsPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### ResponseSuccessData

### RfqEmailsPostResponsesContentApplicationJsonSchemaData

## Examples

**Request**

```json
{
  "quoteId": 123456,
  "email": "mcurie@greatbuysinc.com"
}
```

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/rfq/emails"

payload = {
    "quoteId": 123456,
    "email": "mcurie@greatbuysinc.com"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v2/rfq/emails';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"quoteId":123456,"email":"mcurie@greatbuysinc.com"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/rfq/emails"

	payload := strings.NewReader("{\n  \"quoteId\": 123456,\n  \"email\": \"mcurie@greatbuysinc.com\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/rfq/emails")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"quoteId\": 123456,\n  \"email\": \"mcurie@greatbuysinc.com\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/v2/rfq/emails")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"quoteId\": 123456,\n  \"email\": \"mcurie@greatbuysinc.com\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/v2/rfq/emails', [
  'body' => '{
  "quoteId": 123456,
  "email": "mcurie@greatbuysinc.com"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/rfq/emails");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"quoteId\": 123456,\n  \"email\": \"mcurie@greatbuysinc.com\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "quoteId": 123456,
  "email": "mcurie@greatbuysinc.com"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/rfq/emails")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```